<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8,00"
	Name="Shadow"
	ProjectGUID="{FCC2FFD8-EEB7-444C-A3FE-F835205316EF}"
	RootNamespace="Shadow"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)run\$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="d3dx9d.lib"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)run\$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="1"
			CharacterSet="2"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="d3dx9.lib"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\AirPlane.cpp"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowConfidence.cpp"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowSMTiled.cpp"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowSSTiled.cpp"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowTechnique.cpp"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowZTiled.cpp"
				>
			</File>
			<File
				RelativePath=".\DirectionalLight.cpp"
				>
			</File>
			<File
				RelativePath=".\DynOctTree.cpp"
				>
			</File>
			<File
				RelativePath=".\Main.cpp"
				>
			</File>
			<File
				RelativePath=".\MainMenu.cpp"
				>
			</File>
			<File
				RelativePath=".\MeshObject.cpp"
				>
			</File>
			<File
				RelativePath=".\PowerPlantScene.cpp"
				>
			</File>
			<File
				RelativePath=".\QuadTree.cpp"
				>
			</File>
			<File
				RelativePath=".\SceneGraph.cpp"
				>
			</File>
			<File
				RelativePath=".\ShadowApp.cpp"
				>
			</File>
			<File
				RelativePath=".\ShadowMapping.cpp"
				>
			</File>
			<File
				RelativePath=".\ShadowScene.cpp"
				>
			</File>
			<File
				RelativePath=".\SpatialPartitioningTree.cpp"
				>
			</File>
			<File
				RelativePath=".\Terrain.cpp"
				>
			</File>
			<File
				RelativePath=".\TerrainScene.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\AirPlane.h"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowConfidence.h"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowSMTiled.h"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowSSTiled.h"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowTechnique.h"
				>
			</File>
			<File
				RelativePath=".\DeferredShadowZTiled.h"
				>
			</File>
			<File
				RelativePath=".\DirectionalLight.h"
				>
			</File>
			<File
				RelativePath=".\DynOctTree.h"
				>
			</File>
			<File
				RelativePath=".\MainMenu.h"
				>
			</File>
			<File
				RelativePath=".\MeshObject.h"
				>
			</File>
			<File
				RelativePath=".\PowerPlantScene.h"
				>
			</File>
			<File
				RelativePath=".\QuadTree.h"
				>
			</File>
			<File
				RelativePath=".\SceneGraph.h"
				>
			</File>
			<File
				RelativePath=".\SceneObject.h"
				>
			</File>
			<File
				RelativePath=".\ShadowApp.h"
				>
			</File>
			<File
				RelativePath=".\ShadowMapping.h"
				>
			</File>
			<File
				RelativePath=".\ShadowRenderList.h"
				>
			</File>
			<File
				RelativePath=".\ShadowScene.h"
				>
			</File>
			<File
				RelativePath=".\SpatialPartitioningTree.h"
				>
			</File>
			<File
				RelativePath=".\Terrain.h"
				>
			</File>
			<File
				RelativePath=".\TerrainScene.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="Shader"
			>
			<File
				RelativePath="..\run\Shaders\ConfidenceShadow.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\ConfidenceTest.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\Deferred.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\Materials.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\Menu.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\OptConf.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\ShadowMapping.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\Skybox.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\SMTiledShadow.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\SSAO.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\SSTiledShadow.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\Terrain.fx"
				>
			</File>
			<File
				RelativePath="..\run\Shaders\WPT.fx"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
